from rv import commands, rvtypes
from rv.commands import NeutralMenuState
import json
import base64

class Example_Package_SourceMergerMode(rvtypes.MinorMode):

    def __init__(self):
        rvtypes.MinorMode.__init__(self)

        globalBindings = [("external-merge-source-jsonb64", self.mergeSource, "Load in more sources to the current session.")]
        localBindings = None
        menu = None

        self.init("Example_Package_SourceMerger", globalBindings, localBindings, menu)

    def mergeSource(self, event):
        args = json.loads(base64.b64decode(event.contents()))

        print "INFO: Loading add sources args from external call: %s" % (str(args))
        commands.addSources(args, "sourceMerger")


def createMode():
    return Example_Package_SourceMergerMode()
